import React from "react";
import brand from "@cloudbees/honeyui-icons/dist/sprites/brands.svg";
import solid from "@cloudbees/honeyui-icons/dist/sprites/solid.svg";
import regular from "@cloudbees/honeyui-icons/dist/sprites/regular.svg";

export default () => {
  return (
    <div className="m-5">
      <p>
        A list of all available icons are listed here:{" "}
        <a href="https://fontawesome.com/icons?d=gallery&m=free">
          https://fontawesome.com/icons?d=gallery&m=free
        </a>
      </p>
      <p>
        Import the SVG sprites either via webpack or installing the{" "}
        <code>@cloudbees/honeyui-icons</code> and importing the sprite
        <br />
        <code>import brand from '@cloudbees/honeyui-icons/dist/sprites/brands.svg';</code>
        <br />
        <code>import solid from '@cloudbees/honeyui-icons/dist/sprites/solid.svg';</code>
        <br />
        <code>import regular from '@cloudbees/honeyui-icons/dist/sprites/regular.svg';</code>
      </p>

      <p>
        Solid Icons{" "}
        <svg height="16" width="16">
          <use xlinkHref={`${solid}#camera`} />
        </svg>
      </p>
      <p>
        Regular Icons{" "}
        <svg height="16" width="16">
          <use xlinkHref={`${regular}#save`} />
        </svg>
      </p>
      <p>
        Brand Icons{" "}
        <svg height="16" width="16">
          <use xlinkHref={`${brand}#npm`} />
        </svg>
      </p>
    </div>
  );
};
